#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include "getbet.h"

/* getBet returns the current bet or -2 for cash out.  
   roll is your current roll.  
   point is your current point. Ignored if roll is 1.
   kitty is the amount you currently have in the pot.
   bank is your available cash.  
   limit is the maximum bet allowed.

   You can only cash out on your coming out roll.
*/
int getBet(int roll, int point, int kitty, int bank, int limit) {
  int bet=5;

  /* Our limit will be the smaller of bank or limit */
  limit = bank<limit?bank:limit;

  if (roll==1) {
    for (;;) {
      printf("Coming out.  What is your bet?\n"
	     "-1 for max bet of %d.\n"
	     "-2 to Quit\n", limit);
      scanf(" %d", &bet);
      if (bet==-1) return limit;
      if ((bet<=bank)&&(bet>=0)) return bet;
      if (bet==-2) {
	printf("Cashing out with $%d.\n", bank);
	return bet;
      }
      printf("Your bet is not valid!\n\n");
    }
  } else {
    for (;;) {
      printf("Your point is %d.  What is your bet?\n"
	     "-1 for max bet of %d.\n", point, limit);
      scanf(" %d", &bet);
      if (bet==-1) return limit;
      if ((bet<=bank)&&(bet>=0)) return bet;
      printf("Your bet is not valid!\n\n");
    }
  }
    
    /* This should not be reached */
  return 0;
}
